cURL
curl --request GET \ --url https://api.daimo.com/v1/sessions/{sessionId} \ --header 'Authorization: Bearer <token>'
{ "session": { "sessionId": "a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4", "status": "waiting_payment", "destination": { "type": "evm", "address": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045", "chainId": 8453, "chainName": "Base", "tokenAddress": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913", "tokenSymbol": "USDC", "amountUnits": "10.00" }, "display": { "title": "Deposit to Acme", "verb": "Deposit" }, "paymentMethod": { "type": "evm", "receiverAddress": "0x1234567890abcdef1234567890abcdef12345678", "createdAt": 1700000000 }, "metadata": { "orderId": "123" }, "clientSecret": "d7a8f3b2e1c94a6db8f0e2a7c3d5b9f1", "createdAt": 1700000000, "expiresAt": 1700003600 } }
Retrieves a session by ID. With an API key, returns the full Session (including metadata and clientSecret). Without an API key, returns SessionPublicInfo only.
API key passed as a Bearer token
32-character hex session ID
"a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4"
Session retrieved
Show child attributes